<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behave Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classETHGENERATOR32.html">ETHGENERATOR32</a></li><li class="navelem"><a class="el" href="classETHGENERATOR32_1_1behave.html">behave</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behave Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classETHGENERATOR32_1_1behave-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:af5f9fd7784a3adb29203aaa2adf8cc1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5f9fd7784a3adb29203aaa2adf8cc1c"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#af5f9fd7784a3adb29203aaa2adf8cc1c">PROCESS_977</a>&#160;</td><td class="memItemRight" valign="bottom"><b> (  )</b></td></tr>
<tr class="memitem:aeb2be9057ed64eed20c227e3ba765238"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb2be9057ed64eed20c227e3ba765238"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aeb2be9057ed64eed20c227e3ba765238">PROCESS_978</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fast_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a903d164473ddc703cbccabad3b6ffc60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a903d164473ddc703cbccabad3b6ffc60"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a903d164473ddc703cbccabad3b6ffc60">PROCESS_979</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fast_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a662c8e722a313139e8523cd88495e87d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a662c8e722a313139e8523cd88495e87d"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a662c8e722a313139e8523cd88495e87d">PROCESS_980</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a551f1ac3976bdbaa4e4f045cb6488b11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a551f1ac3976bdbaa4e4f045cb6488b11"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a551f1ac3976bdbaa4e4f045cb6488b11">PROCESS_981</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a00e05e3abded22e0c7b945ef63368b46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00e05e3abded22e0c7b945ef63368b46"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a00e05e3abded22e0c7b945ef63368b46">PROCESS_982</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4689f3abde0b9e35b864419f8109cdcd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4689f3abde0b9e35b864419f8109cdcd"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a4689f3abde0b9e35b864419f8109cdcd">PROCESS_983</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa89a11bc906afda4bc31d99f21a67713"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa89a11bc906afda4bc31d99f21a67713"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aa89a11bc906afda4bc31d99f21a67713">PROCESS_984</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6c6c9889e5b9510bf51eb6fbbbe0d838"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c6c9889e5b9510bf51eb6fbbbe0d838"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a6c6c9889e5b9510bf51eb6fbbbe0d838">PROCESS_1386</a>&#160;</td><td class="memItemRight" valign="bottom"><b> (  )</b></td></tr>
<tr class="memitem:a7c3d038ab95a249635fd434af2bd820c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c3d038ab95a249635fd434af2bd820c"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a7c3d038ab95a249635fd434af2bd820c">PROCESS_1387</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fast_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab4389249427eb21843e5a61a4f133a03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4389249427eb21843e5a61a4f133a03"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ab4389249427eb21843e5a61a4f133a03">PROCESS_1388</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fast_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afec493a757525e8498482f9eae006ebb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afec493a757525e8498482f9eae006ebb"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#afec493a757525e8498482f9eae006ebb">PROCESS_1389</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a53bfec4a792e7c969f598fdb58d62cf6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53bfec4a792e7c969f598fdb58d62cf6"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a53bfec4a792e7c969f598fdb58d62cf6">PROCESS_1390</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:adcc7241f662d3fe631bfdb994044da1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adcc7241f662d3fe631bfdb994044da1c"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#adcc7241f662d3fe631bfdb994044da1c">PROCESS_1391</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9ef64ebb0388c2af54f03321c9b4231a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ef64ebb0388c2af54f03321c9b4231a"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a9ef64ebb0388c2af54f03321c9b4231a">PROCESS_1392</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae089e1899fbc276b7d1b605b8e5972e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae089e1899fbc276b7d1b605b8e5972e1"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ae089e1899fbc276b7d1b605b8e5972e1">PROCESS_1393</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a3f41458636c8438243b6fb4b285db0bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f41458636c8438243b6fb4b285db0bf"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a3f41458636c8438243b6fb4b285db0bf">ethgenerator</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="enumethgenerator.html">&lt;Entity ethgenerator&gt; </a></em></td></tr>
<tr class="memitem:ad68fc46b80c8a8d7eb58c73b1a47a4f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad68fc46b80c8a8d7eb58c73b1a47a4f7"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ad68fc46b80c8a8d7eb58c73b1a47a4f7">timing_adapter_32</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="enumtiming__adapter__32.html">&lt;Entity timing_adapter_32&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a55812b7a8dab6b927011e72e7ebe618e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55812b7a8dab6b927011e72e7ebe618e"></a>
<b><a class="el" href="classETHGENERATOR32_1_1behave.html#a55812b7a8dab6b927011e72e7ebe618e">stm_typ</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_DATA</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_IPG</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_IPG0</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ac14dc3a275a472f975632ab2dceaf2f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac14dc3a275a472f975632ab2dceaf2f1"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ac14dc3a275a472f975632ab2dceaf2f1">rxd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae147a536bee18023b112e3ac4129dfee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae147a536bee18023b112e3ac4129dfee"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ae147a536bee18023b112e3ac4129dfee">rx_dv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a51144f2fcf47294c9657170fd130804c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51144f2fcf47294c9657170fd130804c"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a51144f2fcf47294c9657170fd130804c">rx_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1a41c7a5760a82fdf0743eef49e6db4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a41c7a5760a82fdf0743eef49e6db4c"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a1a41c7a5760a82fdf0743eef49e6db4c">sop_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa818af37012fec1b144d0d3ff2f5d319"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa818af37012fec1b144d0d3ff2f5d319"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aa818af37012fec1b144d0d3ff2f5d319">eop_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9469ec8841058e0ab54622297ba11cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9469ec8841058e0ab54622297ba11cf"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ac9469ec8841058e0ab54622297ba11cf">start_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaeffc568da166c5bcb4aaa7724031487"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaeffc568da166c5bcb4aaa7724031487"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aaeffc568da166c5bcb4aaa7724031487">done_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af1d7fcd623b09ca8c282cfe4a55f8a68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1d7fcd623b09ca8c282cfe4a55f8a68"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#af1d7fcd623b09ca8c282cfe4a55f8a68">sop_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8c5f4bba53e382d622c6dae325453b7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c5f4bba53e382d622c6dae325453b7b"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a8c5f4bba53e382d622c6dae325453b7b">sop_int_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a22eac0e02fdc02b03eabc1c8b7ce3ccc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22eac0e02fdc02b03eabc1c8b7ce3ccc"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a22eac0e02fdc02b03eabc1c8b7ce3ccc">eop_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abedfd0c8b2eb138f67e130dc81e2d8ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abedfd0c8b2eb138f67e130dc81e2d8ba"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#abedfd0c8b2eb138f67e130dc81e2d8ba">eop_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2e6e3876d6210e3b590f40b9cb838c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2e6e3876d6210e3b590f40b9cb838c5"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ae2e6e3876d6210e3b590f40b9cb838c5">rx_er_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac312353bdbd3b4c1fd856ed5062ca182"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac312353bdbd3b4c1fd856ed5062ca182"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ac312353bdbd3b4c1fd856ed5062ca182">sop_ex</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8ce3bd173ac519e0021c0072dfbab49e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ce3bd173ac519e0021c0072dfbab49e"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a8ce3bd173ac519e0021c0072dfbab49e">eop_ex</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a009ffd89d28f76ceb0bbc97f86dc779a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a009ffd89d28f76ceb0bbc97f86dc779a"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a009ffd89d28f76ceb0bbc97f86dc779a">ipg_len_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">32768</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a96fd6b731ec205b26a386f83969eba12"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96fd6b731ec205b26a386f83969eba12"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a96fd6b731ec205b26a386f83969eba12">data32</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30b1d20473c5539baa7602f4e51ba43d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30b1d20473c5539baa7602f4e51ba43d"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a30b1d20473c5539baa7602f4e51ba43d">clkcnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b1e29db47b117506f52f6900b3a33fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b1e29db47b117506f52f6900b3a33fa"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a1b1e29db47b117506f52f6900b3a33fa">bytecnt_eop</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04a5f046f5e5f16ffa119020e5c5aec5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04a5f046f5e5f16ffa119020e5c5aec5"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a04a5f046f5e5f16ffa119020e5c5aec5">count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1dc29471b9b1924255ed4d2e594c66a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1dc29471b9b1924255ed4d2e594c66a2"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a1dc29471b9b1924255ed4d2e594c66a2">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">stm_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa402cca1e9ae110c4402f1ab893578a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa402cca1e9ae110c4402f1ab893578a"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#afa402cca1e9ae110c4402f1ab893578a">last_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">stm_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a331185379395ae92c5e2641736ee780d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a331185379395ae92c5e2641736ee780d"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a331185379395ae92c5e2641736ee780d">clk_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab98c8e7927ac1d95e810fb3210d92203"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab98c8e7927ac1d95e810fb3210d92203"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ab98c8e7927ac1d95e810fb3210d92203">fast_clk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af38e5eb07a04db1ec58082f041beab8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af38e5eb07a04db1ec58082f041beab8f"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#af38e5eb07a04db1ec58082f041beab8f">fast_clk_gate</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec8276f9e463e32791fc9703fef21f4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec8276f9e463e32791fc9703fef21f4f"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aec8276f9e463e32791fc9703fef21f4f">fast_clk_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a672c2c2efc9585aa2a90693624d3c4d6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a672c2c2efc9585aa2a90693624d3c4d6"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a672c2c2efc9585aa2a90693624d3c4d6">bytecnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2f6259fe1bc7e2b3954cae1743bf6c70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f6259fe1bc7e2b3954cae1743bf6c70"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a2f6259fe1bc7e2b3954cae1743bf6c70">tx_clk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad156d518f443e79b2d9d499f9500094f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad156d518f443e79b2d9d499f9500094f"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ad156d518f443e79b2d9d499f9500094f">dout_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4f2cb4aa17dc9eb2af6e31fd9b799e43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f2cb4aa17dc9eb2af6e31fd9b799e43"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a4f2cb4aa17dc9eb2af6e31fd9b799e43">dval_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a90addc4854849804cdd39c1283e36146"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90addc4854849804cdd39c1283e36146"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a90addc4854849804cdd39c1283e36146">derror_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a02a99978a319068be40e17b7f3ca9000"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02a99978a319068be40e17b7f3ca9000"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a02a99978a319068be40e17b7f3ca9000">tmod_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a90e307a4af0b505c092793a98578c8a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90e307a4af0b505c092793a98578c8a5"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a90e307a4af0b505c092793a98578c8a5">done_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9e7ee503e843274002db5b8f5f440224"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e7ee503e843274002db5b8f5f440224"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a9e7ee503e843274002db5b8f5f440224">dout_temp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a106b401d75716d1157b20e573bbd1b82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a106b401d75716d1157b20e573bbd1b82"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a106b401d75716d1157b20e573bbd1b82">dval_temp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aef1b5316b942ec68833e9781663e6ccb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef1b5316b942ec68833e9781663e6ccb"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aef1b5316b942ec68833e9781663e6ccb">derror_temp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a16de5c8ee083ed0beedd5f736dfc35e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16de5c8ee083ed0beedd5f736dfc35e1"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a16de5c8ee083ed0beedd5f736dfc35e1">sop_temp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a79389a511071a03acce511c913892d04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79389a511071a03acce511c913892d04"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a79389a511071a03acce511c913892d04">eop_temp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ace4ca0ed3d622de65ce9df3296251a5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace4ca0ed3d622de65ce9df3296251a5a"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#ace4ca0ed3d622de65ce9df3296251a5a">tmod_temp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7826e880b41c71878ceaec5e3d710f8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7826e880b41c71878ceaec5e3d710f8e"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a7826e880b41c71878ceaec5e3d710f8e">done_temp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6d8767b01fd507e59fa81cf84d0c59e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d8767b01fd507e59fa81cf84d0c59e2"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#a6d8767b01fd507e59fa81cf84d0c59e2">enable_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:aff09ebe8328ee47434158d7f4f101943"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff09ebe8328ee47434158d7f4f101943"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aff09ebe8328ee47434158d7f4f101943">timing_adapter</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>timing_adapter_32</b>  <em><a class="el" href="enumtiming__adapter__32.html">&lt;Entity timing_adapter_32&gt;</a></em></td></tr>
<tr class="memitem:addd1a8a9ff0b3b74549a05044dbcbe62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addd1a8a9ff0b3b74549a05044dbcbe62"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#addd1a8a9ff0b3b74549a05044dbcbe62">GEN1G</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>ETHGENERATOR</b>  <em><a class="el" href="classETHGENERATOR.html">&lt;Entity ETHGENERATOR&gt;</a></em></td></tr>
<tr class="memitem:aff09ebe8328ee47434158d7f4f101943"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff09ebe8328ee47434158d7f4f101943"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#aff09ebe8328ee47434158d7f4f101943">timing_adapter</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>timing_adapter_32</b>  <em><a class="el" href="enumtiming__adapter__32.html">&lt;Entity timing_adapter_32&gt;</a></em></td></tr>
<tr class="memitem:addd1a8a9ff0b3b74549a05044dbcbe62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addd1a8a9ff0b3b74549a05044dbcbe62"></a>
<a class="el" href="classETHGENERATOR32_1_1behave.html#addd1a8a9ff0b3b74549a05044dbcbe62">GEN1G</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>ETHGENERATOR</b>  <em><a class="el" href="classETHGENERATOR.html">&lt;Entity ETHGENERATOR&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen32_8vhd_source.html#l00109">109</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen32_8vhd_source.html">ethgen32.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen32_8vhd_source.html">ethgen32.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2ethgen32_8vhd_source.html">ethgen32.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
